FROM git.modelhub.org.cn:9443/enginex-metax/maca-c500-pytorch:2.33.0.6-torch2.6-py310-ubuntu24.04-amd64

ENV HF_ENDPOINT=https://hf-mirror.com
ENV PATH=/opt/conda/bin:${PATH}

RUN pip install transformers==4.50.0 uvicorn\[standard\] fastapi

WORKDIR /app

COPY ./ /app

EXPOSE 8000
CMD ["sh", "-c", "python3 server.py"]
